package com.ramos.munoz.tesis;

import java.io.IOException;
import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.util.Log;


public class Carroceria {
    private int id;
    private String nombre;

    public Carroceria(int id, String nombre) {
	this.id = id;
	this.nombre = nombre;
    }

    public static ArrayList<Carroceria> cargarCarrocerias() {
	Log.d("cargarCarrocerias", "EMPEZO A BUSCAR");
	ArrayList<Carroceria> carrocerias = new ArrayList<Carroceria>();
	try {
	    ArrayList<NameValuePair> parametros = new ArrayList<NameValuePair>();
	    ConexionServidor con = new ConexionServidor();
	    JSONObject respuestaJSON = con.ejecutarHttpPost(parametros, ConexionServidor.URL_CARGAR_CARROCERIAS);
	    boolean esError = true;
	    esError = respuestaJSON.has("error");
	    if (esError) {
		Log.d("cargarCarrocerias", "ERROR: " + respuestaJSON.getString("error"));
	    } else {
		JSONArray variables = respuestaJSON.getJSONArray("resultado");
		for (int i = 0; i < variables.length(); i++) {
		    JSONObject carroceriasJSON = variables.getJSONObject(i);
		    int id = carroceriasJSON.getInt("id");
		    if (id != 1) {
			String nombre = carroceriasJSON.getString("nombre");
			Carroceria c = new Carroceria(id, nombre);
			carrocerias.add(c);
		    }
		}
	    }
	} catch (IOException e) {
	    e.printStackTrace();
	    Log.e("cargarCarrocerias", "ERROR 1: " + e.getMessage() + " : " + e.getCause());
	} catch (JSONException e) {
	    e.printStackTrace();
	    Log.e("cargarCarrocerias", "ERROR 2: " + e.getMessage() + " : " + e.getCause());
	} catch (Exception e) {
	    e.printStackTrace();
	    Log.e("cargarCarrocerias", "ERROR 3: " + e.getMessage() + " : " + e.getCause());
	}
	Log.d("cargarCarrocerias", "Todo bien");
	return carrocerias;

    }

    public int getId() {
	return id;
    }

    public void setId(int id) {
	this.id = id;
    }

    public String getNombre() {
	return nombre;
    }

    public void setNombre(String nombre) {
	this.nombre = nombre;
    }
}
